/**
 * 
 */
package edu.fiu.jtlex.data;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

/**
 * A class that contains tests for the Signal class 
 * @author arada002
 *
 */
class SignalTest {

	@Test
	void testConstructor() {
		new Signal(1, "on");
	}
	
	@Test
	void testInvalidId() {
		assertThrows(IllegalArgumentException.class, ()-> new Signal(0, "on"));
	}
	
	@Test
	void testStringEmpty() {
		assertThrows(IllegalArgumentException.class, ()-> new Signal(1, ""));
	}
	
	@Test
	void testStringAllWhitespace() {
		assertThrows(IllegalArgumentException.class, ()-> new Signal(1, "         "));
	}
	
	@Test
	void testStringNull() {
		assertThrows(NullPointerException.class, ()-> new Signal(1, null));
	}
}
